module TicketAbstractorClient
  class << self
    attr_writer :configuration

    def configuration
      @configuration ||= Configuration.new
    end

    def configure
      yield(configuration)
    end
  end
end

require 'cgi'
require 'json'
require 'rest_client'
require 'active_support/all'
require 'mime-types'

require 'ticket_abstractor_client/version'
require 'ticket_abstractor_client/configuration'
require 'ticket_abstractor_client/communication_data'
require 'ticket_abstractor_client/client_helper'
