module TicketAbstractorClient
  module Jira
    module Errors
      class BaseError < Base::Errors::BaseError; end
      class NotImplementedError < BaseError; end
      class ConfigurationError < Base::Errors::ConfigurationError; end
      class UnexpectedError < Base::Errors::UnexpectedError; end

      class AttachmentArgumentError < Base::Errors::AttachmentArgumentError; end
      class CommentArgumentError < Base::Errors::CommentArgumentError; end
      class ClientArgumentError < Base::Errors::ClientArgumentError; end
      class TicketArgumentError < Base::Errors::TicketArgumentError; end

      class AttachmentError < Base::Errors::AttachmentError; end
      class CommentError < Base::Errors::CommentError; end
      class TicketError < Base::Errors::TicketError; end

      class ConnectionError < Base::Errors::ConnectionError; end
      class NotFoundError < Base::Errors::NotFoundError; end
      class ParseError < Base::Errors::ParseError; end
      class RequsetFormatError < Base::Errors::RequsetFormatError; end
      class AccessError < Base::Errors::AccessError; end
    end
  end
end
